
QGIS Application - Bug report #21168

DB manager's autocomplete doesn't quote layer names

2019-02-05 05:31 AM - Tobias Wendorff

Status: Open

Priority: Normal

Assignee:

Category: DB Manager

Affected QGIS version:3.5(master) Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 28986

Description

DB manager shows an autocomplete box for existing layers. When you press <tab> or double click on an entry, the value doesn't get

quoted. For layer New scratch layer, this results in New instead of the correct 'New scratch layer'.

Please have a look at the attached image.

History

#1 - 2019-02-05 05:31 AM - Tobias Wendorff

- Subject changed from DB manager's autocomplete doesn't quote to DB manager's autocomplete doesn't quote layer names

#2 - 2019-02-07 11:44 AM - Giovanni Manghi

- Operating System deleted (Microsoft Windows 7, 64-bit)
